package kr.co.compcareworker.Data.MainViewList;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.util.ArrayList;

import kr.co.compcareworker.Data.Company.Machine.AlMachineDatum;

public class SubProdData {
    @SerializedName("mc_idx")
    @Expose
    private String mcIdx;
    @SerializedName("ag_idx")
    @Expose
    private String agIdx;
    @SerializedName("pt_idx")
    @Expose
    private String ptIdx;
    @SerializedName("cp_idx")
    @Expose
    private String cpIdx;
    @SerializedName("mc_lot")
    @Expose
    private String mcLot;
    @SerializedName("qr_code")
    @Expose
    private Object qrCode;
    @SerializedName("pd_idx")
    @Expose
    private String pdIdx;
    @SerializedName("mc_airline")
    @Expose
    private Object mcAirline;
    @SerializedName("mc_runningtime")
    @Expose
    private String mcRunningtime;
    @SerializedName("mc_runningtime_total")
    @Expose
    private String mcRunningtimeTotal;
    @SerializedName("mc_memo")
    @Expose
    private Object mcMemo;
    @SerializedName("ins_dt")
    @Expose
    private Object insDt;
    @SerializedName("mc_checkdt")
    @Expose
    private String mcCheckdt;
    @SerializedName("mc_check_id")
    @Expose
    private String mcCheckId;
    @SerializedName("mc_check_name")
    @Expose
    private String mcCheckName;
    @SerializedName("mc_makedt")
    @Expose
    private Object mcMakedt;
    @SerializedName("del_flag")
    @Expose
    private String delFlag;
    @SerializedName("order_num")
    @Expose
    private String orderNum;
    @SerializedName("mc_ttype")
    @Expose
    private String mcTtype;
    @SerializedName("mc_setdt")
    @Expose
    private String mcSetdt;
    @SerializedName("mc_cycle")
    @Expose
    private String mcCycle;
    @SerializedName("mc_cycle_year")
    @Expose
    private String mcCycleYear;
    @SerializedName("sub_idx1")
    @Expose
    private String subIdx1;
    @SerializedName("sub_idx2")
    @Expose
    private String subIdx2;
    @SerializedName("sub_idx3")
    @Expose
    private String subIdx3;
    @SerializedName("sub_idx4")
    @Expose
    private Object subIdx4;
    @SerializedName("mc_exchangetime")
    @Expose
    private String mcExchangetime;
    @SerializedName("mc_exchangedt")
    @Expose
    private Object mcExchangedt;
    @SerializedName("mc_deldt")
    @Expose
    private Object mcDeldt;
    @SerializedName("mc_exchangecnt")
    @Expose
    private String mcExchangecnt;
    @SerializedName("pt_name")
    @Expose
    private String ptName;
    @SerializedName("pd_name")
    @Expose
    private String pdName;
    @SerializedName("cp_running_time")
    @Expose
    private String cpRunningTime;
    @SerializedName("cp_running_day")
    @Expose
    private String cpRunningDay;
    @SerializedName("cp_mapx")
    @Expose
    private String cpMapx;
    @SerializedName("cp_mapy")
    @Expose
    private String cpMapy;
    @SerializedName("cp_addr")
    @Expose
    private String cpAddr;
    @SerializedName("cp_name")
    @Expose
    private String cpName;
    @SerializedName("machine_cnt")
    @Expose
    private String machineCnt;

    @SerializedName("mc_iot_mac")
    @Expose
    private String mcIotMac;

    @SerializedName("cp_sido")
    @Expose
    private String cpSido;

    @SerializedName("cp_sigungu")
    @Expose
    private String cpSigungu;

    @SerializedName("cp_zip")
    @Expose
    private String cpZip;

    @SerializedName("machine_items")
    @Expose
    private ArrayList<AlMachineDatum> machineItems;

    public String getMcIdx() {
        return mcIdx;
    }

    public void setMcIdx(String mcIdx) {
        this.mcIdx = mcIdx;
    }

    public String getAgIdx() {
        return agIdx;
    }

    public void setAgIdx(String agIdx) {
        this.agIdx = agIdx;
    }

    public String getPtIdx() {
        return ptIdx;
    }

    public void setPtIdx(String ptIdx) {
        this.ptIdx = ptIdx;
    }

    public String getCpIdx() {
        return cpIdx;
    }

    public void setCpIdx(String cpIdx) {
        this.cpIdx = cpIdx;
    }

    public String getMcLot() {
        return mcLot;
    }

    public void setMcLot(String mcLot) {
        this.mcLot = mcLot;
    }

    public Object getQrCode() {
        return qrCode;
    }

    public void setQrCode(Object qrCode) {
        this.qrCode = qrCode;
    }

    public String getPdIdx() {
        return pdIdx;
    }

    public void setPdIdx(String pdIdx) {
        this.pdIdx = pdIdx;
    }

    public Object getMcAirline() {
        return mcAirline;
    }

    public void setMcAirline(Object mcAirline) {
        this.mcAirline = mcAirline;
    }

    public String getMcRunningtime() {
        return mcRunningtime;
    }

    public void setMcRunningtime(String mcRunningtime) {
        this.mcRunningtime = mcRunningtime;
    }

    public String getMcRunningtimeTotal() {
        return mcRunningtimeTotal;
    }

    public void setMcRunningtimeTotal(String mcRunningtimeTotal) {
        this.mcRunningtimeTotal = mcRunningtimeTotal;
    }

    public Object getMcMemo() {
        return mcMemo;
    }

    public void setMcMemo(Object mcMemo) {
        this.mcMemo = mcMemo;
    }

    public Object getInsDt() {
        return insDt;
    }

    public void setInsDt(Object insDt) {
        this.insDt = insDt;
    }

    public String getMcCheckdt() {
        return mcCheckdt;
    }

    public void setMcCheckdt(String mcCheckdt) {
        this.mcCheckdt = mcCheckdt;
    }

    public String getMcCheckId() {
        return mcCheckId;
    }

    public void setMcCheckId(String mcCheckId) {
        this.mcCheckId = mcCheckId;
    }

    public String getMcCheckName() {
        return mcCheckName;
    }

    public void setMcCheckName(String mcCheckName) {
        this.mcCheckName = mcCheckName;
    }

    public Object getMcMakedt() {
        return mcMakedt;
    }

    public void setMcMakedt(Object mcMakedt) {
        this.mcMakedt = mcMakedt;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(String orderNum) {
        this.orderNum = orderNum;
    }

    public String getMcTtype() {
        return mcTtype;
    }

    public void setMcTtype(String mcTtype) {
        this.mcTtype = mcTtype;
    }

    public String getMcSetdt() {
        return mcSetdt;
    }

    public void setMcSetdt(String mcSetdt) {
        this.mcSetdt = mcSetdt;
    }

    public String getMcCycle() {
        return mcCycle;
    }

    public void setMcCycle(String mcCycle) {
        this.mcCycle = mcCycle;
    }

    public String getMcCycleYear() {
        return mcCycleYear;
    }

    public void setMcCycleYear(String mcCycleYear) {
        this.mcCycleYear = mcCycleYear;
    }

    public String getSubIdx1() {
        return subIdx1;
    }

    public void setSubIdx1(String subIdx1) {
        this.subIdx1 = subIdx1;
    }

    public String getSubIdx2() {
        return subIdx2;
    }

    public void setSubIdx2(String subIdx2) {
        this.subIdx2 = subIdx2;
    }

    public String getSubIdx3() {
        return subIdx3;
    }

    public void setSubIdx3(String subIdx3) {
        this.subIdx3 = subIdx3;
    }

    public Object getSubIdx4() {
        return subIdx4;
    }

    public void setSubIdx4(Object subIdx4) {
        this.subIdx4 = subIdx4;
    }

    public String getMcExchangetime() {
        return mcExchangetime;
    }

    public void setMcExchangetime(String mcExchangetime) {
        this.mcExchangetime = mcExchangetime;
    }

    public Object getMcExchangedt() {
        return mcExchangedt;
    }

    public void setMcExchangedt(Object mcExchangedt) {
        this.mcExchangedt = mcExchangedt;
    }

    public Object getMcDeldt() {
        return mcDeldt;
    }

    public void setMcDeldt(Object mcDeldt) {
        this.mcDeldt = mcDeldt;
    }

    public String getMcExchangecnt() {
        return mcExchangecnt;
    }

    public void setMcExchangecnt(String mcExchangecnt) {
        this.mcExchangecnt = mcExchangecnt;
    }

    public String getPtName() {
        return ptName;
    }

    public void setPtName(String ptName) {
        this.ptName = ptName;
    }

    public String getPdName() {
        return pdName;
    }

    public void setPdName(String pdName) {
        this.pdName = pdName;
    }

    public String getCpRunningTime() {
        return cpRunningTime;
    }

    public void setCpRunningTime(String cpRunningTime) {
        this.cpRunningTime = cpRunningTime;
    }

    public String getCpRunningDay() {
        return cpRunningDay;
    }

    public void setCpRunningDay(String cpRunningDay) {
        this.cpRunningDay = cpRunningDay;
    }

    public String getCpMapx() {
        return cpMapx;
    }

    public void setCpMapx(String cpMapx) {
        this.cpMapx = cpMapx;
    }

    public String getCpMapy() {
        return cpMapy;
    }

    public void setCpMapy(String cpMapy) {
        this.cpMapy = cpMapy;
    }

    public String getCpAddr() {
        return cpAddr;
    }

    public void setCpAddr(String cpAddr) {
        this.cpAddr = cpAddr;
    }

    public String getCpName() {
        return cpName;
    }

    public void setCpName(String cpName) {
        this.cpName = cpName;
    }

    public String getMachineCnt() {
        return machineCnt;
    }

    public void setMachineCnt(String machineCnt) {
        this.machineCnt = machineCnt;
    }

    public String getMcIotMac() {
        return mcIotMac;
    }

    public ArrayList<AlMachineDatum> getMachineItems() {
        return machineItems;
    }

    public String getCpSido() {
        return cpSido;
    }

    public String getCpSigungu() {
        return cpSigungu;
    }

    public String getCpZip() {
        return cpZip;
    }
}
